services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  NEWEGO\NeDistribution\:
    resource: '../Classes/*'

  NEWEGO\NeDistribution\DataProcessing\NeMenuProcessor:
    tags:
      - name: 'data.processor'
        identifier: 'ne-menu'

  NEWEGO\NeDistribution\DataProcessing\ProductfinderLanguageMenuProcessor:
    tags:
      - name: 'data.processor'
        identifier: 'productfinder-language-menu'

  NEWEGO\NeDistribution\Command\ReplaceLinksCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:replacelinks'
        schedulable: false
    public: true

  NEWEGO\NeDistribution\Command\EktUpdateCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:ektupdate'
        schedulable: false
    public: true

  NEWEGO\NeDistribution\Command\FetchProductsCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:fetchproducts'
        schedulable: true
    public: true

  NEWEGO\NeDistribution\Command\CreateRedirectsCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:createredirects'
        schedulable: true
    public: true

  NEWEGO\NeDistribution\Command\ImageMimeTypesCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:imagemimetypes'
        schedulable: true
    public: true

  NEWEGO\NeDistribution\Command\ReplaceSmcLinksCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:replacesmclinks'
        schedulable: false
    public: true

  NEWEGO\NeDistribution\Command\TranslateAllCommand:
    tags:
      - name: 'console.command'
        command: 'ne_distribution:translateall'
        schedulable: false
    public: true

  NEWEGO\NeDistribution\HrefLang\HrefLangGenerator:
    tags:
      - name: event.listener
        identifier: 'ne-distribution/neHreflangGenerator'
        after: 'ne-base/neHreflangGenerator'
        event: TYPO3\CMS\Frontend\Event\ModifyHrefLangTagsEvent
